# Get merchants Get a list of all merchants that belong to this account. The results are grouped into pages. The caller can specify how many customers per page shall be listed (maximum is 500). Endpoint: GET /merchants Version: 2.0 Security: APIKeyAuth ## Query parameters: - `limit` (integer) The desired amount of records per page. The parameter defaults to 50 if it is omitted and has a maximum of 500. - `page` (integer) The desired number of the page to return. - `sort` (string) It allows sorting the result by legal_name or created_at. e.g sort=legal_name+asc or sort=legal_name+desc - `from` (string) Return only merchants created from this date (YYYY-MM-DD). - `to` (string) Return only merchants created up to this date (YYYY-MM-DD). - `country_code` (string) Contry code in a list format e.g country_code=DE, country_code=US,AUS. ## Response 200 fields (application/json): - `data` (array) Example: [{"id":"9071cd4e-9627-421b-96cc-d48ffda5e894","created_at":"2023-10-10T00:00:00Z","company_city":"Berlin","country_code":"DE","encryption_key":"eyJhbGciO[redacted]","legal_name":"Example Merchant","website_url":"https://example.com","type":"submerchant","identity_and_verification_enabled":false,"3ds_enabled":true,"default_currency":"EUR","default_merchant_id":"1234567890","schemes":[{"name":"visa","acquirer_bin":"40001","requestor_id":"123456789.visa","requestor_name":"3dsclient.local.visa","category_code":"3200","merchant_id":"","merchant_name":""}]}] - `data.id` (string, required) The ID of the merchant Example: "9071cd4e-9627-421b-96cc-d48ffda5e894" - `data.created_at` (string, required) The date-time the merchant was created (following ISO 8601) Example: "2023-10-10T00:00:00Z" - `data.company_city` (string, required) The city in the merchant's primary address. Example: "Berlin" - `data.country_code` (string, required) A two letter country code. [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) - `data.encryption_key` (string, required) The masked version of the key used to encrypt authentication data (for instance network token and cryptogram). A full copy of this information is returned only once, when the merchant was initially created. Example: "eyJhbGciO[redacted]" - `data.legal_name` (string, required) The name of the merchant Example: "Example Merchant" - `data.website_url` (string, required) The URL of the merchant's website Example: "https://example.com" - `data.type` (string, required) The merchant type Enum: "primary", "submerchant" - `data.identity_and_verification_enabled` (boolean) The flag indicates if the 3DS identity and verification is required or not (only allowed for primary) - `data.3ds_enabled` (boolean) Indicates if 3DS is available or not for the Merchant Example: true - `data.default_currency` (string) The three letter currency code. See: [ISO-4217](https://en.wikipedia.org/wiki/ISO_4217#Active_codes) - `data.default_merchant_id` (string) The id for the Merchant Example: "1234567890" - `data.schemes` (array) The schemes supported by the merchant (required if merchant has a merchant_id) Example: [{"name":"visa","acquirer_bin":"40001","requestor_id":"123456789.visa","requestor_name":"3dsclient.local.visa","category_code":"3200","merchant_id":"","merchant_name":""}] - `data.schemes.name` (string, required) The network scheme name Enum: "visa", "mastercard" - `data.schemes.acquirer_bin` (string, required) The acquiring institution identification code - `data.schemes.requestor_id` (string) The 3DS requestor identifier requestor_id and requestor_name should be sent in pairs. - `data.schemes.requestor_name` (string) The 3DS requestor name requestor_id and requestor_name should be sent in pairs. - `data.schemes.category_code` (string, required) The DS-specific code describing the Merchant type of business - `data.schemes.merchant_id` (string) Allow override the acquiring merchant id that can be used to specify per card scheme during the authentication. merchant_id and merchant_name should be sent in pairs. - `data.schemes.merchant_name` (string) Allow override the merchant name that can be used to specify per card scheme during the authentication. merchant_id and merchant_name should be sent in pairs. - `pagination` (object) The meta-data describing lists of data from the Hellgate API. The pages are indexed from 1 up to the total_pages. Example: {"current_page":1,"page_size":1,"total_items":1,"total_pages":1} - `pagination.current_page` (integer) The index of the current page Example: 1 - `pagination.page_size` (integer) The maximum number of items on a page (relates to the limit query parameter) Example: 1 - `pagination.total_items` (integer) The total quantity of items regardless of the pages Example: 1 - `pagination.total_pages` (integer) The total amount of pages the data is segmented into Example: 1 ## Response 401 fields (application/json): - `code` (integer) The corresponding HTTP status code for the error - `classifier` (string) Technical code that helps to identify the error - `message` (string) Human readable representation of the error ## Response 403 fields (application/json): - `code` (integer) The corresponding HTTP status code for the error - `classifier` (string) Technical code that helps to identify the error - `message` (string) Human readable representation of the error